std Namespace Reference

STL namespace. More...

## Functions

template<class T >
std::ostream & | operator<< (std::ostream &os, const std::complex< T > &x)
| Output stream operator for complex numbers.
template<class T >
std::istream & | operator>> (std::istream &is, std::complex< T > &x)
| Input stream operator for complex numbers.

## Detailed Description

STL namespace.

## Function Documentation

## operator<<()

template<class T >

std::ostream & std::operator<< | ( | std::ostream & | os,
|  | const std::complex< T > & | x
| ) |  |

Output stream operator for complex numbers.

Definition at line 42 of file misc.h.

## operator>>()

template<class T >

std::istream & std::operator>> | ( | std::istream & | is,
|  | std::complex< T > & | x
| ) |  |

Input stream operator for complex numbers.

Definition at line 53 of file misc.h.

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8